<?php
use Mkb\Sdk\Client;

class Mkblib
{
	protected $registry;

	public function __construct($registry)
	{
		$this->registry = $registry;
		include_once DIR_APPLICATION . '/../system/library/mkb_sdk/autoload.php';
	}

	public function __get($key)
	{
		return $this->registry->get($key);
	}

	public function __set($key, $value)
	{
		$this->registry->set($key, $value);
	}

	public function saveTransaction($data)
	{
		$tableFields = [
			'ResponseCode',
			'AuthCode',
			'AcqID',
			'amt',
			'OrderID',
			'fio',
			'ReasonCode',
			'MerID',
			'PaddedCardNo',
			'ReasonCodeDesc',
			'ReferenceNo',
			'CardID',
			'ClientID',
			'status',
		];
		$dataToStore = array_intersect_key($data, array_flip($tableFields));
		$db = $this->db;
		$escapedData = array_map(function($item) use ($db){
			return '"'.$db->escape($item).'"';
		}, $dataToStore);

		$this->db->query("REPLACE " . DB_PREFIX . "mkb (".implode(',', array_keys($escapedData)).") VALUES (".implode(',', $escapedData).")");
	}

	public function getTransactionInfo($orderId)
	{
		$client = new Client();
		if ($this->config->get('mkb_mode') == 'test') {
			$client->setTestMode();
		}

		$data = [
			'login'    => $this->config->get('mkb_login'),
			'password' => $this->config->get('mkb_password'),
			'Status'   => 'Full',
			'OrderID'  => $orderId,
			'MerID'    => $this->config->get('mkb_mid'),
			'Type'     => 'Purchase',
		];

		$result = $client->getOrderStatus($data);
		return $result;
	}
	public function updateTransactionStatus($orderId, $status)
	{
		$this->db->query("UPDATE " . DB_PREFIX . "mkb set status={$status} WHERE OrderID=".intval($orderId));
	}
}
